Subject: Re: Tix/Tk with Expect
From: Georgios Petasis <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 28 Feb 2001 13:34:43 +0200

On ??? 28 ??? 2001 11:19, you wrote:
> Could someone please advise as to the best way to incorporate Expect with
> wish or tixwish. (Or even vice versa)
>
> I have installed the sources for both Tcl/Tk and Expect, and run
> configure/make/make install on both.
> When I run /usr/local/bin/expect, package names only shows Expect and Tcl.
> /usr/local/bin/wish sees Tcl and Tk.
>
> I have built Tk with Expect before on Solaris and HPUX but I forget how I
> did it. ie I built expectk. (Well 'expectix' to be precise !)
>
> I would be quite happy to end up with a /usr/local install that allowed the
> various packages to be loaded with "package require" as a compromise.

Under unix, epecttk is build by default, but I haven't actually compiled
under windows. I suppose that you have to give some parameters to
the expect's configure script (try configure --help for a complete list).
Also, try setting a posting to comp.lang.tcl.

George

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple